#include <bits/stdc++.h>

using namespace std;

int bd[10007];
int k;
int n;

int bins (int el, int l, int r){
    if (l == r  - 1){
        return bd[l];
    }
    int m = (l+r)/ 2;
    if (bd[m] <= el){
        return bins(el, m, r);
    }
    return bins(el, l , m);
}

int main()
{
    cin>>n>>k;
    for (int i = 0; i < k; i++){
        cin>>bd[i];
    }
    long long re = 0;
    sort(bd, bd + k);
    if (k  + 12 > n){
        for (int i = 2; i <= 2* n; i++){
            bool p = true;
            for (int j = 1; j <= i / 2 ; j ++){
                if (bins(j, 0, k) != j && bins(i - j,0, k) != i - j){
                    p = false;
                    break;
                }
                if (p == true){
                    re --;
                }
            }
        }
    }
    else {
        for (int i = 2; i <= 2* k + 6; i++){
            bool p = true;
            for (int j = 1; j <= i / 2; j ++){
                if (bins(j, 0, k) != j && bins(i - j,0, k) != i - j){
                    p = false;
                    break;
                }
                if (p == true){
                    re --;
                }
            }
        }
        for (int i = 2*n - 2*k - 6; i <= 2* n; i++){
            bool p = true;
            for (int j = i/2; j <= n; j ++){
                if (bins(j, 0, k) != j && bins(i - j,0, k) != i - j){
                    p = false;
                    break;
                }
                if (p == true){
                    re --;
                }
            }
        }
    }
    re += 2*n - 1;
    cout<<re;
    return 0;
}
